javax.ejb

## Interface EJBLocalObject

-     public interface EJBLocalObject

  The EJBLocalObject interface must be extended by all enterprise beans' local interfaces. An enterprise bean's local interface provides the local client view of an EJB object. An enterprise bean's local interface defines the business methods callable by local clients.

  The enterprise bean's local interface is defined by the enterprise bean provider and implemented by the enterprise bean container.

  Enterprise beans written to the EJB 3.0 and later APIs do not require a local interface that extends the EJBLocalObject interface. A local business interface can be used instead.

  Since:
    EJB 2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBLocalHome` | `getEJBLocalHome()` Obtain the enterprise bean's local home interface.
    `Object` | `getPrimaryKey()` Obtain the primary key of the EJB local object.
    `boolean` | `isIdentical(EJBLocalObject obj)` Test if a given EJB local object is identical to the invoked EJB local object.
    `void` | `remove()` Remove the EJB local object.

- - ### Method Detail

    - #### getEJBLocalHome

          EJBLocalHome getEJBLocalHome()
                                       throws EJBException

      Obtain the enterprise bean's local home interface. The local home interface defines the enterprise bean's create, finder, remove, and home business methods that are available to local clients.
      Returns:
        A reference to the enterprise bean's local home interface.
      Throws:
        `EJBException` - Thrown when the method failed due to a system-level failure.

    - #### getPrimaryKey

          Object getPrimaryKey()
                               throws EJBException

      Obtain the primary key of the EJB local object.

      This method can be called on an entity bean. An attempt to invoke this method on a session bean will result in an EJBException.

      Note: Support for entity beans is optional as of EJB 3.2.

      Returns:
        The EJB local object's primary key.
      Throws:
        `EJBException` - Thrown when the method failed due to a system-level failure or when invoked on a session bean.

    - #### remove

          void remove()
                      throws RemoveException,
                             EJBException

      Remove the EJB local object.
      Throws:
        `RemoveException` - The enterprise bean or the container does not allow destruction of the object.
        `EJBException` - Thrown when the method failed due to a system-level failure.

    - #### isIdentical

          boolean isIdentical(EJBLocalObject obj)
                              throws EJBException

      Test if a given EJB local object is identical to the invoked EJB local object.
      Parameters:
        `obj` - An object to test for identity with the invoked object.
      Returns:
        True if the given EJB local object is identical to the invoked object, false otherwise.
      Throws:
        `EJBException` - Thrown when the method failed due to a system-level failure.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.